package io.tswf.groovy.bettergroovy.asm.view

import io.tswf.groovy.bettergroovy.asm.view.annotation.FieldAccessor
import io.tswf.groovy.bettergroovy.asm.view.annotation.MethodInvoke
import io.tswf.groovy.bettergroovy.asm.view.annotation.View

@View(
        targetClasses = [ Object ]
)
interface ISimpleView {

    @MethodInvoke
    String toString()

    @FieldAccessor
    String getSampleField()

    @FieldAccessor
    void setSampleField(String value)
}