package io.tswf.groovy.bettergroovy.asm.view.generation

import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.asm.view.meta.ViewMethodMetadata
import io.tswf.groovy.bettergroovy.transforms.validation.checkedmapconstructor.CheckedMapConstructor
import org.objectweb.asm.tree.ClassNode

interface IViewMethodMapper {
    void handleViewMethodMapping(ViewMethodMappingContext context)
}

@CheckedMapConstructor
@CompileStatic
class ViewMethodMappingContext {
    ViewMethodMetadata viewMethodMeta
    ClassNode targetClass
}