package io.tswf.groovy.bettergroovy.asm.view.generation.conflict

import com.google.auto.service.AutoService
import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.asm.view.meta.ViewConflictResolveStrategy

@AutoService(IViewConflictResolveLogic)
@CompileStatic
class SkipViewConflictResolver implements IViewConflictResolveLogic {

    @Override
    ViewConflictResolveStrategy getEnumValue() {
        return ViewConflictResolveStrategy.SKIP
    }

    @Override
    void handleConflictResolve(ConflictResolveContext resolveContext) {
        // Nope!
    }
}
