package io.tswf.groovy.bettergroovy.asm.view.reading

import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.asm.view.generation.IViewMethodMapper
import io.tswf.groovy.bettergroovy.asm.view.meta.ViewMethodMetadata
import io.tswf.groovy.bettergroovy.transforms.validation.checkedmapconstructor.CheckedMapConstructor

interface IViewMethodMapperReader {
    void handleViewMethodReading(ViewMethodMapperReadingContext readingContext)
}

@CheckedMapConstructor
@CompileStatic
class ViewMethodMapperReadingContext {
    List<IViewMethodMapper> result = new ArrayList<>()
    ViewMethodMetadata viewMethodMeta
}