package io.tswf.groovy.bettergroovy.asm.view.generation.conflict

import com.google.auto.service.AutoService
import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.asm.view.meta.ViewConflictResolveStrategy

@AutoService(IViewConflictResolveLogic)
@CompileStatic
class OverwriteViewConflictResolver implements IViewConflictResolveLogic {

    @Override
    ViewConflictResolveStrategy getEnumValue() {
        return ViewConflictResolveStrategy.OVERWRITE
    }

    @Override
    void handleConflictResolve(ConflictResolveContext resolveContext) {
        resolveContext.passed = true
    }
}
